## Apache Zeta Components Manual :: Docs For Class ezcWebdavCollection

### Webdav::ezcWebdavCollection

### Class ezcWebdavCollection

Struct representing collection resources.

This struct is used to represent collection resources, in contrast to ezcWebdavResource, which represents non-collection resources.

Source for this file: /Webdav/src/structs/collection.php

    ezcBaseStruct
       |
       --ezcWebdavCollection

Version: | //autogentag//

### Member Variables

public array(int=>ezcWebdavCollection|ezcWebdavResource) | `$childs` Array with children of resource.
public ezcWebdavPropertyStorage | `$liveProperties` Live properties of resource.
public string | `$path` Path to resource.

### Method Summary

public void | `__construct( $path , [ $liveProperties = null] , [ $children = array()] )` Creates a new collection struct.

### Methods

#### __construct

void __construct( string $path , [ezcWebdavPropertyStorage $liveProperties = null] , [ $children = array()] )

Creates a new collection struct.

A new collection struct is created, representing the collection referenced by $path, with the given $liveProperties and $children ($childs) elements.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$path` | string |
`$liveProperties` | ezcWebdavPropertyStorage |
`$children` | array |

Documentation generated by phpDocumentor 1.4.3